{
	"bean:http://www.osgi.org/xmlns/blueprint/v1.0.0": {
		"targetNodeName": "##root",
		"targetNodeNamespace": "http://www.osgi.org/xmlns/blueprint/v1.0.0",
		"position": "inside_first",
		"unique": ["id"],
		"conflict": "ignore" /*[ignore, replace]*/
	},
	"bean:http://camel.apache.org/schema/blueprint": {
		"conflict": "ignore"
	},
	"route-container": {
		"isTransparent": true
	},
	"route:http://camel.apache.org/schema/blueprint": {
		"recoursive": true,
		"targetNodeName": "camelContext",
		"unique": ["id"],
		"position": "inside_last",
		"createTargetNode": true,
		"targetNodeXML": "<camelContext xmlns=\"http://camel.apache.org/schema/blueprint\" />",
		"conflicts": ["merge", "replace"],
		"childrenOrder": [
			"description:http://camel.apache.org/schema/blueprint",
			"from:http://camel.apache.org/schema/blueprint",
			"inputType:http://camel.apache.org/schema/blueprint",
			"outputType:http://camel.apache.org/schema/blueprint",
			"*",
			"routeProperty:http://camel.apache.org/schema/blueprint"
		]
	},		
	"aggregate:http://camel.apache.org/schema/blueprint": {
		"recoursive": true,
		"unique": ["id"],
		"position": "inside_last",
		"conflicts": ["merge", "replace"],
		"childrenOrder": [
			"correlationExpression:http://camel.apache.org/schema/blueprint",
			"completionPredicate:http://camel.apache.org/schema/blueprint",
			"completionTimeoutExpression:http://camel.apache.org/schema/blueprint",
			"completionSizeExpression:http://camel.apache.org/schema/blueprint",
			"optimisticLockRetryPolicy:http://camel.apache.org/schema/blueprint",
			"*"
		]
	}
}
